=== debian/changelog ===
dune-uggrid (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 16:09:47 +0100

dune-uggrid (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * Override lintian warnings:
    - package-name-doesnt-match-sonames
    - non-dev-pkg-with-shlib-symlink
    - no-symbols-control-file

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 00:56:05 +0100

dune-uggrid (2.5.0~rc1-2) experimental; urgency=medium

  * Install /usr/share/dune and /usr/share/dune-uggrid.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 01 Dec 2016 18:18:48 +0100

dune-uggrid (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Package the dune-uggrid module: We are only interested in the UG grid
    manager for DUNE. The old UG library will no longer be maintained in
    the future.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:53:47 +0100

ug (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:21:24 +0200

ug (3.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Change shared library package name to libug3.12.1.
  * Mention that UG has been built with support for DUNE in the
    package description.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 11 May 2015 21:05:04 +0200

ug (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libug3.11.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 15 Jun 2014 11:12:53 +0200

ug (3.10.0-1) unstable; urgency=low

  * Initial release. (Closes: #742179)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 08 Apr 2014 02:07:52 +0200
