=== debian/changelog ===
dune-uggrid (2.5.1-2) unstable; urgency=medium

  * parallel/CMakeLists.txt: use `COMPILE_OPTIONS` instead of
    `COMPILE_DEFINITIONS`.  Fixes build failure with cmake 3.10.
    (Closes: #891151)
    + patch: 0001-cmake-Fix-compatibility-issue-with-CMake-3.10-leadig.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 27 Mar 2018 09:53:40 +0200

dune-uggrid (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Upgrade copyright format URL to https://.
  * Bumped Standards-Version to 4.0.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:04:21 +0200

dune-uggrid (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 16:15:42 +0200
