## dune-uggrid 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,15 @@
 # general stuff
 cmake_minimum_required(VERSION 2.8.12)
 
+# Guess the dune-common build directory if it is not yet set
+if(NOT (dune-common_DIR OR dune-common_ROOT OR
+      "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
+  string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
+    ${PROJECT_BINARY_DIR})
+endif()
+
 #find dune-common and set the module path
-find_package(dune-common)
+find_package(dune-common REQUIRED)
 list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
      "${CMAKE_SOURCE_DIR}/cmake/modules")# make sure our own modules are found
 
@@ -43,8 +50,8 @@
   set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DDebug")
 endif()
 
-add_definitions(-DUGLIB -DFOR_DUNE)
-set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DUGLIB -DFOR_DUNE")
+add_definitions(-DUGLIB)
+set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DUGLIB")
 
 #Always build parallel libs if MPI is found
 if(UG_ENABLE_PARALLEL)
@@ -57,7 +64,7 @@
 
 #set the include headers
 include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/low
-  ${PROJECT_SOURCE_DIR}/gm ${PROJECT_SOURCE_DIR}/dev ${PROJECT_SOURCE_DIR}/dom
+  ${PROJECT_SOURCE_DIR}/gm ${PROJECT_SOURCE_DIR}/dom
   ${PROJECT_SOURCE_DIR}/np ${PROJECT_SOURCE_DIR}/ui
   ${PROJECT_SOURCE_DIR}/np/algebra
   ${PROJECT_SOURCE_DIR}/np/udm
@@ -162,7 +169,6 @@
 else()
   set(parallel "no")
 endif()
-set(fordune "yes")
 set(VERSION ${DUNE_UGGRID_VERSION})
 configure_file(libug.pc.in libug.pc)
 configure_file(ug-config.cmake.in ug-config.cmake @ONLY)
