=== cmake/modules/CMakeLists.txt ===
install(FILES DuneUggridMacros.cmake DESTINATION ${DUNE_INSTALL_MODULEDIR})
