=== dom/gen/CMakeLists.txt ===
ug_add_dim_libs(domG OBJECT SOURCES gen.c gen_parallel.c)
