=== debian/changelog ===
dune-uggrid (2.6.0-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:18 +0100

dune-uggrid (2.6.0-1build2) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:25:25 +0000

dune-uggrid (2.6.0-1build1) cosmic; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 21:53:33 +0000

dune-uggrid (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 22:42:23 +0200

dune-uggrid (2.6~20180108-1) experimental; urgency=medium

  * New upstream snapshot (commit: b30bd26b596a7298f4c5d9fcdde4209f630483d4)
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 08 Jan 2018 11:41:48 +0100

dune-uggrid (2.6~20171120-1) experimental; urgency=medium

  * New upstream snapshot (commit: 233efec13770d21ed952438ae78c6e80fa9fff69)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Nov 2017 22:41:31 +0100
