=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: dune-uggrid
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-uggrid.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-uggrid.git
+Uploaders: Ansgar <ansgar@debian.org>
+Vcs-Browser: https://salsa.debian.org/science-team/dune-uggrid
+Vcs-Git: https://salsa.debian.org/science-team/dune-uggrid.git
 Homepage: https://gitlab.dune-project.org/staging/dune-uggrid/
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.7.0-3)
+Rules-Requires-Root: no
 
 Package: libdune-uggrid-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.7.0-3)
 Provides: ${dune:shared-library}
 Conflicts: libug-dev
 Replaces: libug-dev
