## dune-uggrid 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(BUILD_DOCS 1)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 # Guess the dune-common build directory if it is not yet set
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -29,22 +29,25 @@
 # set defines that are only used internally.
 # The rest is in cmake/modules/DuneUggrid.cmake
 if(MPI_C_FOUND)
-  set(UG_ENABLE_PARALLEL True CACHE BOOL "Enable a parallel UG (default is True if MPI is there false otherwise")
+  set(UG_ENABLE_PARALLEL True CACHE BOOL "Enable a parallel UG (default is True if MPI is there False otherwise)")
 else()
-  set(UG_ENABLE_PARALLEL False CACHE BOOL "Enable a parallel UG (default is True if MPI is there false otherwise")
+  set(UG_ENABLE_PARALLEL False CACHE BOOL "Enable a parallel UG (default is True if MPI is there False otherwise)")
 endif()
 
 set(UG_ENABLE_DEBUGGING False CACHE BOOL "Enable UG debugging (default is Off)")
 set(UG_ENABLE_2D True CACHE BOOL "Build library for 2d (default is On)")
 set(UG_ENABLE_3D True CACHE BOOL "Build library for 3d (default is On)")
-set(UG_ENABLE_SYSTEM_HEAP ON CACHE BOOL "If ON/True then we are using the operating system heap instead of the one internal to UG (Default: ON")
+set(UG_ENABLE_SYSTEM_HEAP ON CACHE BOOL "If ON/True then we are using the operating system heap instead of the one internal to UG (Default: ON)")
 set(UG_DDD_MAX_MACROBITS "24" CACHE STRING
   "Set number of bits of an unsigned int used to store the process number,
        the remaining bits are used to store the local entity id")
-if(UG_ENABLE_SYSTEM_HEAP)
-  add_definitions("-DUG_USE_SYSTEM_HEAP=1")
-  set(UG_EXTRAFLAGS "-DUG_USE_SYSTEM_HEAP=1")
+
+set(DUNE_UGGRID_TET_RULESET True CACHE BOOL "Use complete rule set for refinement of tetrahedral elements")
+if(TET_RULESET)
+  set(DUNE_UGGRID_TET_RULESET True)
+  message(DEPRECATION "The TET_RULESET option has been renamed to DUNE_UGGRID_TET_RULESET")
 endif()
+
 if(UG_ENABLE_DEBUGGING)
   add_definitions("-DDebug")
   set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DDebug")
@@ -61,18 +64,6 @@
   add_definitions("-DModelP")
   set(UG_EXTRAFLAGS "${UG_EXTRAFLAGS} -DModelP")
 endif()
-
-#set the include headers
-include_directories(${PROJECT_SOURCE_DIR} ${PROJECT_SOURCE_DIR}/low
-  ${PROJECT_SOURCE_DIR}/gm ${PROJECT_SOURCE_DIR}/dom
-  ${PROJECT_SOURCE_DIR}/np ${PROJECT_SOURCE_DIR}/ui
-  ${PROJECT_SOURCE_DIR}/np/algebra
-  ${PROJECT_SOURCE_DIR}/np/udm
-  ${PROJECT_SOURCE_DIR}/parallel ${PROJECT_SOURCE_DIR}/parallel/ddd
-  ${PROJECT_SOURCE_DIR}/parallel/ppif
-  ${PROJECT_SOURCE_DIR}/parallel/dddif ${PROJECT_SOURCE_DIR}/parallel/util
-  ${PROJECT_SOURCE_DIR}/parallel/ddd/include )
-
 
 set(UG_ENABLED_DIMENSIONS)
 if(UG_ENABLE_2D)
@@ -135,6 +126,11 @@
     endif()
     foreach(_lib ${_libs})
       target_compile_definitions("${_lib}" PRIVATE "-DUG_DIM_${dim}")
+      if(OBJECT)
+        add_dune_mpi_flags("${_lib}" OBJECT)
+      else()
+        add_dune_mpi_flags("${_lib}")
+      endif()
     endforeach()
     set(_append "APPEND") # Do not overwrite but append next lib in export
   endforeach()
@@ -149,51 +145,13 @@
   set(TIME_WITH_SYS_TIME True)
 endif()
 
-# do everything in the subdirs (order matters because of library dependencies!)
-if(UG_ENABLE_PARALLEL)
-  set(SUBDIRS  parallel)
-else()
-  set(SUBDIRS "")
-endif()
-set(SUBDIRS  ${SUBDIRS} low dev gm dom np ui lib)
-set(CMAKE_INSTALL_PKGINCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/ug")
-
-# create and install pkg-config information and
-# cmake package configuration as ug not dune-uggrid
-set(prefix ${CMAKE_INSTALL_PREFIX})
-set(exec_prefix "\${prefix}")
-set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
-set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
-if(UG_ENABLE_PARALLEL)
-  set(parallel "yes")
-else()
-  set(parallel "no")
-endif()
-set(VERSION ${DUNE_UGGRID_VERSION})
-configure_file(libug.pc.in libug.pc)
-configure_file(ug-config.cmake.in ug-config.cmake @ONLY)
-configure_file(ug-config-version.cmake.in ug-config-version.cmake @ONLY)
-
-#install header
-install(FILES initug.h DESTINATION ${CMAKE_INSTALL_PKGINCLUDEDIR})
-foreach(i ${SUBDIRS})
-  add_subdirectory(${i})
-endforeach(i ${SUBDIRS})
-
+add_subdirectory(dune)
 add_subdirectory(cmake/modules)
 # set variable names for config.h
 set(DDD_MAX_PROCBITS_IN_GID ${UG_DDD_MACROBITS})
 # finalize the dune project, e.g., generate config.h etc.
 # Use package init to set additional information
-set(dune-uggrid_INIT "set(UG_PARALLEL ${parallel})
+set(dune-uggrid_INIT "set(UG_PARALLEL ${UG_ENABLE_PARALLEL})
 set(UG_FOR_DUNE yes)")
 
 finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
-
-# This comes after finalize as it uses DUNE_INSTALL_LIBDIR
-# computed there.
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libug.pc
-  DESTINATION ${DUNE_INSTALL_LIBDIR}/pkgconfig)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ug-config.cmake
-  ${CMAKE_CURRENT_BINARY_DIR}/ug-config-version.cmake
-  DESTINATION ${DUNE_INSTALL_LIBDIR}/cmake/ug)
