=== dune/uggrid/low/test/CMakeLists.txt ===
dune_add_test(SOURCES test-fifo.cc)
target_link_libraries(test-fifo ugL)
