=== dune/uggrid/lib/CMakeLists.txt ===
install(
  FILES RefRules.data tetra.rls triangle.rls
  DESTINATION ${CMAKE_INSTALL_DATADIR})
