=== dune/uggrid/low/test/CMakeLists.txt ===
dune_add_test(SOURCES test-fifo.cc
              LINK_LIBRARIES duneuggrid)
