=== debian/changelog ===
dune-uggrid (2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:45:48 +0200

dune-uggrid (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Wed, 15 Sep 2021 11:28:40 +0200

dune-uggrid (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Mon, 23 Aug 2021 07:24:38 -0400
