=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://gitlab.dune-project.org/staging/dune-uggrid/
 Build-Depends: debhelper-compat (= 13),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.1)
+ libdune-common-dev (>= 2.8.0)
 Rules-Requires-Root: no
 
 Package: libdune-uggrid-dev
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.7.1)
+ libdune-common-dev (>= 2.8.0)
 Provides: ${dune:shared-library}
 Conflicts: libug-dev
 Replaces: libug-dev
