=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
